IRPCIndexingDataSource.GetSmallestTimestampForMetadataIX
Server integration API / specialized internal: not for applications write session
Gets the smallest timestamp of an object that has been modified since specific Change Tracking version. Returns also the current Change Tracking version.
| Service | Indexing data source MFiles.IRPCIndexingDataSource |
|---|---|
| gRPC method | /MFiles.IRPCIndexingDataSource/GetSmallestTimestampForMetadataIX |
| HTTP (mf-http-grpc) | POST /grpc/v1/get-smallest-timestamp-for-metadata-ix |
| Request | GetSmallestTimestampForMetadataIXRequest |
| Response | GetSmallestTimestampForMetadataIXResponse |
| Book and level | Server integration API, specialized |
| Kind | write |
| Session | Required: the session ID from LogIn in the mfiles-session-id-bin metadata. |
| Idempotent | no |
| Returns metadata structure version | no |
| Streaming | none (unary) |
Remarks
For M-Files components only. Search indexers call it to map the Change Tracking version of their last position to the oldest change that they must still process. Applications should not call it.
- Requires a vault session with the vault rights
see_all_objectsandsee_deleted_objects.
Request: GetSmallestTimestampForMetadataIXRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
indexing_request | IndexingRequest | General information about the request. |
indexing_request.options_obsolete | uint32 | Control flags for the request. |
indexing_request.options | INDEXINGREQUESTFLAGS | Control flags for the request. |
indexing_request.options.all | bool | Specifies all flags set; Including any future flags. |
indexing_request.options.accept_modifications | bool | The indexer accepts new and modified objects in the request. |
indexing_request.options.accept_destructions | bool | The indexer accepts destructions of objects in the request. |
indexing_request.options.accept_acl_modifications | bool | The indexer accepts ACL modifications of objects in the request. |
indexing_request.index_name | IndexName | Identifies the index. |
indexing_request.index_name.configuration_name | string | The name of the index configuration. |
indexing_request.index_name.repository_connection | string | Identifies the external repository connection. |
indexing_request.index_name.configuration_type | IndexConfigurationType | The index configuration type (e.g., Shared versus Legacy).Values: INDEX_CONFIGURATION_TYPE_UNKNOWN (0), INDEX_CONFIGURATION_TYPE_LEGACY (1), INDEX_CONFIGURATION_TYPE_SHARED (2), INDEX_CONFIGURATION_TYPE_ANY (3). |
indexing_request.auxiliary_indexer_id | string | If not null, identifies auxiliary indexer that consumes the data. |
indexing_request.partition | IndexerPartition | If set, specifies how to partition the candidate objects for this caller. |
indexing_request.partition.rule | IndexerPartitioningRule | Specifies how the indexing is partitioned. |
indexing_request.partition.id | uint32 | Zero-based identifier of the partition. |
indexing_request.last_indexed_timestamp | LogicalTimestamp | The last indexed logical timestamp. Ignored if its type is LOGICAL_TIMESTAMP_TYPE_IGNORED. |
indexing_request.last_indexed_timestamp.type | LogicalTimestampType | Logical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4). |
indexing_request.last_indexed_timestamp.data | LogicalTimestampUnion | The data as a union. |
indexing_request.last_change_tracking_timestamp | LogicalTimestamp | Change Tracking version from last indexed logical timestamp. |
indexing_request.last_change_tracking_timestamp.type | LogicalTimestampType | Logical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4). |
indexing_request.last_change_tracking_timestamp.data | LogicalTimestampUnion | The data as a union. |
indexing_request.indexer_location | IndexerLocation | Defines if indexer making the request is of type internal (legacy) or external.Values: INDEXER_LOCATION_UNINITIALIZED (0), INDEXER_LOCATION_LEGACY (1), INDEXER_LOCATION_EXTERNAL (2). |
Response: GetSmallestTimestampForMetadataIXResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
smallest_changed_version_for_mix | LogicalTimestamp | Receives the smallest object version that has changed since provided change tracking version. |
smallest_changed_version_for_mix.type | LogicalTimestampType | Logical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4). |
smallest_changed_version_for_mix.data | LogicalTimestampUnion | The data as a union. |
smallest_changed_version_for_mix.data.integer | LogicalTimestampInteger (oneof data) | Logical timestamp as an int64 vector. |
smallest_changed_version_for_mix.data.string | LogicalTimestampString (oneof data) | String. |
smallest_changed_version_for_mix.data.integer_and_string | LogicalTimestampIntegerAndString (oneof data) | Integer and string. |
current_change_tracking_version | LogicalTimestamp | Receives the current change tracking version. |
current_change_tracking_version.type | LogicalTimestampType | Logical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4). |
current_change_tracking_version.data | LogicalTimestampUnion | The data as a union. |
current_change_tracking_version.data.integer | LogicalTimestampInteger (oneof data) | Logical timestamp as an int64 vector. |
current_change_tracking_version.data.string | LogicalTimestampString (oneof data) | String. |
current_change_tracking_version.data.integer_and_string | LogicalTimestampIntegerAndString (oneof data) | Integer and string. |